Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class AbstractConceptCache

    java.lang.Object
      org.mindswap.pellet.AbstractConceptCache

All Implemented Interfaces:
  java.util.Map<aterm.ATermAppl,CachedNode>, ConceptCache

Direct Known Subclasses:
  ConceptCacheLRU

    public abstract class AbstractConceptCache

extends java.lang.Object
implements ConceptCache

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`AbstractConceptCache(int maxSize)` Creates an empty cache with at most `maxSize` elements which are neither named or negations of names.

Method Summary
`int` | `getMaxSize()` Get the maximum number of non-primitive concepts allowed in the cache
`Bool` | `getSat(aterm.ATermAppl c)` Get the satisfiability status of a concept as a three-value boolean.
`boolean` | `putSat(aterm.ATermAppl c, boolean isSatisfiable)` Put an incomplete
`CachedNode` | `remove(aterm.ATermAppl c, boolean removeComplete)` Remove the cached model for this concept.
`void` | `setMaxSize(int maxSize)` Set the maximum number of non-primitive concepts allowed in the cache

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### AbstractConceptCache

    public AbstractConceptCache(int maxSize)

  Creates an empty cache with at most `maxSize` elements which are neither named or negations of names.

  Parameters:
    `maxSize` -

Method Detail

### getSat

    public Bool getSat(aterm.ATermAppl c)

  Description copied from interface: `ConceptCache`
  Get the satisfiability status of a concept as a three-value boolean.

  Specified by:
    `getSat` in interface `ConceptCache`
  Returns:

### putSat

    public boolean putSat(aterm.ATermAppl c,
                          boolean isSatisfiable)

  Description copied from interface: `ConceptCache`
  Put an incomplete

  Specified by:
    `putSat` in interface `ConceptCache`
  Returns:

### remove

    public CachedNode remove(aterm.ATermAppl c,
                             boolean removeComplete)

  Description copied from interface: `ConceptCache`
  Remove the cached model for this concept.

  Specified by:
    `remove` in interface `ConceptCache`
    `removeComplete` - If false only incomplete models will be removed
  Returns:

### getMaxSize

    public int getMaxSize()

  Description copied from interface: `ConceptCache`
  Get the maximum number of non-primitive concepts allowed in the cache

  Specified by:
    `getMaxSize` in interface `ConceptCache`
  Returns:

### setMaxSize

    public void setMaxSize(int maxSize)

  Description copied from interface: `ConceptCache`
  Set the maximum number of non-primitive concepts allowed in the cache

  Specified by:
    `setMaxSize` in interface `ConceptCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.